/*****************************************************************************
 *
 * Copyright (C) 2023 Daniel Ramirez <dr@igh.de>
 *               2023 Florian Pose <fp@igh.de>
 *
 * This file is part of the QtPdWidgets library.
 *
 * The QtPdWidgets library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * The QtPdWidgets library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the QtPdWidgets Library. If not, see
 * <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef PD_PARAMETERFILESYSTEMMODEL_H
#define PD_PARAMETERFILESYSTEMMODEL_H

#include <QtPdCom1/Process.h>

#include <QUrl>
#include <QAbstractItemModel>
#include <QDir>
#include <QIcon>

namespace Pd
{
    class ParameterSetWidget;

    class ParameterFileSystemModel:
        public QAbstractListModel
    {
        Q_OBJECT

      public:
        explicit ParameterFileSystemModel(QObject *parent = nullptr);
        ~ParameterFileSystemModel();

        int rowCount(const QModelIndex &) const;

        QVariant data(const QModelIndex &, int) const;

        void setPath(const QString path);

      private:

        QFileInfoList files; // elements are qfileinfo
        ParameterFileSystemModel();
    };

    /************************************************************************/

}  // namespace Pd

#endif
